Ingest Folder Summary
Emit a folder import summary event for remote/web chunked uploads.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Emit a single folder import summary event without ingesting files.
Response Body
application/json
application/json
curl -X POST "https://example.com/sources/ingest/folder-summary" \ -H "Content-Type: application/json" \ -d '{ "folder_name": "string", "accumulated_totals": { "property1": 0, "property2": 0 } }'{ "folder_name": "", "total_ingested": 0, "total_duplicates": 0, "total_errors": 0, "results": [ { "source_id": "string", "original_name": "string", "lifecycle_state": "string", "is_duplicate": false, "message": "" } ], "message": ""}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}